# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           iqpuzzle
Version:        1.2.9
Release:        alt1_1
Summary:        A diverting I.Q. challenging pentomino puzzle
Group:          Games/Puzzles
License:        GPLv3
URL:            https://github.com/ElTh0r0/iqpuzzle
Source0:        https://github.com/ElTh0r0/iqpuzzle/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Widgets)

# Some files were renamed, hence the conflict
Conflicts: %{name} < 1.2.2-1
Source44: import.info

%description
iQPuzzle is a diverting I.Q. challenging pentomino puzzle.
Pentominos are used as puzzle pieces and more than 300 different board shapes
are available, which have to be filled with them.

%prep
%setup -q


%build

%qmake_qt6 PREFIX=%{buildroot}%{_prefix}
%make_build

%install
%makeinstall_std

%find_lang %{name} --with-man

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/com.github.elth0r0.iqpuzzle.desktop
%{_datadir}/icons/hicolor/*/apps/iqpuzzle.png
%{_datadir}/icons/hicolor/scalable/apps/iqpuzzle.svg
%{_datadir}/metainfo/com.github.elth0r0.iqpuzzle.metainfo.xml
%{_datadir}/%{name}/
%{_mandir}/man6/iqpuzzle.6*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.2.9-alt1_1
- update by mgaimport

* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 1.2.8-alt1_1
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.2.6-alt1_2
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 1.2.5-alt1_1
- update by mgaimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 1.2.4-alt1_1
- update by mgaimport

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 1.2.3-alt1_1
- update by mgaimport

* Tue Mar 16 2021 Igor Vlasenko <viy@altlinux.org> 1.2.2-alt1_1
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_2
- update by mgaimport

* Tue Mar 24 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_2
- update by mgaimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.5-alt1_1
- update by mgaimport

* Thu Oct 17 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_1
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.2-alt1_1
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_3
- update by mgaimport

* Fri May 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- new version

